> ## Documentation Index
> Fetch the complete documentation index at: https://arizeai-433a7140.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List the labels applied to a dataset



## OpenAPI

````yaml get /v1/datasets/{dataset_identifier}/labels
openapi: 3.1.0
info:
  title: Arize-Phoenix REST API
  description: Schema for Arize-Phoenix REST API
  version: '1.0'
servers: []
security: []
paths:
  /v1/datasets/{dataset_identifier}/labels:
    get:
      tags:
        - datasets
      summary: List the labels applied to a dataset
      operationId: listDatasetLabelsForDataset
      parameters:
        - name: dataset_identifier
          in: path
          required: true
          schema:
            type: string
            description: >-
              The dataset identifier: either the dataset ID (GlobalID) or its
              name.
            title: Dataset Identifier
          description: >-
            The dataset identifier: either the dataset ID (GlobalID) or its
            name.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListDatasetLabelsForDatasetResponseBody'
        '403':
          description: Forbidden
          content:
            text/plain:
              schema:
                type: string
        '404':
          content:
            text/plain:
              schema:
                type: string
          description: Dataset not found
        '422':
          content:
            text/plain:
              schema:
                type: string
          description: Invalid dataset identifier
components:
  schemas:
    ListDatasetLabelsForDatasetResponseBody:
      properties:
        data:
          items:
            $ref: '#/components/schemas/DatasetLabel'
          type: array
          title: Data
      type: object
      required:
        - data
      title: ListDatasetLabelsForDatasetResponseBody
    DatasetLabel:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        color:
          type: string
          title: Color
      type: object
      required:
        - id
        - name
        - description
        - color
      title: DatasetLabel

````